Loading...
Searching...
No Matches
log.h File Reference

Log C interface. More...

`#include <l4/re/env.h>`
`#include <l4/sys/compiler.h>`
Include dependency graph for log.h:

Go to the source code of this file.

## Functions

L4_BEGIN_DECLS void | l4re_log_print (char const *string) L4_NOTHROW
| Write a null terminated string to the default log.
void | l4re_log_printn (char const *string, int len) L4_NOTHROW
| Write a string of a given length to the default log.
void | l4re_log_print_srv (const l4_cap_idx_t logcap, char const *string) L4_NOTHROW
| Write a null terminated string to a log.
void | l4re_log_printn_srv (const l4_cap_idx_t logcap, char const *string, int len) L4_NOTHROW
| Write a string of a given length to a log.

## Detailed Description

Log C interface.

Definition in file log.h.